package com.ym.mec.education.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 菜单权限表
 * </p>
 *
 * @author lemeng
 * @since 2019-09-25
 */
@TableName("sys_menu")
public class SysMenu extends Model<SysMenu> {

    private static final long serialVersionUID = 1L;

    /**
     * 菜单ID
     */
    @TableId(value = "id_", type = IdType.AUTO)
    private Integer id;
    /**
     * 菜单名称
     */
    @TableField("name_")
    private String name;
    /**
     * 菜单权限标识
     */
    @TableField("permission_")
    private String permission;
    /**
     * 接口地址
     */
    @TableField("path_")
    private String path;
    /**
     * 父菜单ID
     */
    @TableField("parent_id_")
    private Integer parentId;
    /**
     * 图标
     */
    @TableField("icon_")
    private String icon;
    /**
     * 前端页面地址
     */
    @TableField("component_")
    private String component;
    /**
     * 排序值
     */
    @TableField("sort_")
    private Integer sort;
    /**
     * 0-开启，1- 关闭
     */
    @TableField("keep_alive_")
    private String keepAlive;
    /**
     * 菜单类型 （0菜单 1按钮）
     */
    @TableField("type_")
    private String type;
    /**
     * 创建时间
     */
    @TableField("create_time_")
    private Date createTime;
    /**
     * 更新时间
     */
    @TableField("update_time_")
    private Date updateTime;
    /**
     * 逻辑删除标记(0--正常 1--删除)
     */
    @TableField("del_flag_")
    private String delFlag;


    public Integer getId() {
        return id;
    }

    public SysMenu setId(Integer id) {
        this.id = id;
        return this;
    }

    public String getName() {
        return name;
    }

    public SysMenu setName(String name) {
        this.name = name;
        return this;
    }

    public String getPermission() {
        return permission;
    }

    public SysMenu setPermission(String permission) {
        this.permission = permission;
        return this;
    }

    public String getPath() {
        return path;
    }

    public SysMenu setPath(String path) {
        this.path = path;
        return this;
    }

    public Integer getParentId() {
        return parentId;
    }

    public SysMenu setParentId(Integer parentId) {
        this.parentId = parentId;
        return this;
    }

    public String getIcon() {
        return icon;
    }

    public SysMenu setIcon(String icon) {
        this.icon = icon;
        return this;
    }

    public String getComponent() {
        return component;
    }

    public SysMenu setComponent(String component) {
        this.component = component;
        return this;
    }

    public Integer getSort() {
        return sort;
    }

    public SysMenu setSort(Integer sort) {
        this.sort = sort;
        return this;
    }

    public String getKeepAlive() {
        return keepAlive;
    }

    public SysMenu setKeepAlive(String keepAlive) {
        this.keepAlive = keepAlive;
        return this;
    }

    public String getType() {
        return type;
    }

    public SysMenu setType(String type) {
        this.type = type;
        return this;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public SysMenu setCreateTime(Date createTime) {
        this.createTime = createTime;
        return this;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public SysMenu setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
        return this;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public SysMenu setDelFlag(String delFlag) {
        this.delFlag = delFlag;
        return this;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "SysMenu{" +
        ", id=" + id +
        ", name=" + name +
        ", permission=" + permission +
        ", path=" + path +
        ", parentId=" + parentId +
        ", icon=" + icon +
        ", component=" + component +
        ", sort=" + sort +
        ", keepAlive=" + keepAlive +
        ", type=" + type +
        ", createTime=" + createTime +
        ", updateTime=" + updateTime +
        ", delFlag=" + delFlag +
        "}";
    }
}
